MONGOC_GRIDFS_FILE_REMOVE(3)

NAME
mongoc_gridfs_file_remove() - Removes file and its data chunks from the MongoDB server.

SYNOPSIS

bool
mongoc_gridfs_file_remove (mongoc_gridfs_file_t *file,
						   bson_error_t         *error);

PARAMETERS

file
    A mongoc_gridfs_file_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

Removes file and its data chunks from the MongoDB server.

RETURNS

Returns true if successful, otherwise false and error is set.

ERRORS

Errors are propagated via the error parameter.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.